[![CI](https://github.com/pikapkg/snowpack/workflows/CI/badge.svg?event=push)](https://github.com/pikapkg/snowpack/actions)

![cover image](https://imgur.com/uXHFm5y.jpg) 

**Snowpack is a web app build tool that works without bundling.** Thanks to [ESM imports](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/import) Snowpack is able to remove the expensive (and unnecesary) bundling step from your dev workflow. That means no startup time spent waiting for your application to bundle PLUS no time wasted rebundling on every change.

The result is a developer experience that starts up fast, stays fast, and still bundles/optimizes your production builds.

### Key Features

- No bundling during development = **<50ms dev server startup**
- Instant rebuilds on save (Nothing to rebundle!)
- Stays fast as your codebase grows
- Built-in [Hot Module Replacement (HMR)](https://snowpack.dev/#hot-module-replacement)
- [Custom build scripts](https://snowpack.dev/#build-scripts) & [third-party plugins](https://snowpack.dev/#build-plugins)
- Bundled production builds

**💁 More info at the official [Snowpack website ➞](https://snowpack.dev)**
